from flask import Flask, jsonify
from flask_jwt_extended import JWTManager
from flask_cors import CORS
import requests

from config import *

from api import api_v1, auth, users, apps

app = Flask(__name__)
cors = CORS(app)
app.config['SECRET_KEY'] = SECRET_KEY
app.register_blueprint(api_v1)

jwt = JWTManager(app)


# When token is not valid or missing handler
@jwt.invalid_token_loader
@jwt.unauthorized_loader
@jwt.expired_token_loader
def expired_token_callback(*args):
    return jsonify({'errorMessage': 'Unauthorized'}), 401


@app.route('/')
def index():
    return 'Open App Stack API v1.0'

@app.route('/hello')
def hello():
    requests.get('{}/health/ready'.format(KRATOS_URL))
    return 'Open App Stack API v1.0'
